Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.commands
Class AddAgentActsCommand

    java.lang.Object
      AbstractOverrideableCommand
          org.metaabm.commands.AddAgentActsCommand

Direct Known Subclasses:
  AddAgentActsLoaderCommand

    public class AddAgentActsCommand

extends AbstractOverrideableCommand

Creates acts on agent creation.

Author:
  milesparker

Field Summary
`(package private) java.util.Collection<?>` | `agents`
`protected CompoundCommand` | `command`
`(package private) SContext` | `parent`

Constructor Summary
`AddAgentActsCommand(EditingDomain domain, SContext parent, java.util.Collection<?> agents)`

Method Summary
`protected void` | `createAgentConstructor(SAgent agent, ABuild builder)`
`boolean` | `doCanExecute()`
`void` | `doExecute()`
`java.util.Collection<?>` | `doGetAffectedObjects()`
`void` | `doRedo()`
`void` | `doUndo()`
`static ABuild` | `findBuilderFor(SAgent agent)`
`static ABuild` | `findBuilderOf(SContext agent)`
`static ACreateAgents` | `findCreatorFor(SAgent agent)`
`static ACreateAgents` | `findCreatorOf(SContext context, SAgent agent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### command

    protected CompoundCommand command

### parent

    SContext parent

### agents

    java.util.Collection<?> agents

Constructor Detail

### AddAgentActsCommand

    public AddAgentActsCommand(EditingDomain domain,
                               SContext parent,
                               java.util.Collection<?> agents)

Method Detail

### doGetAffectedObjects

    public java.util.Collection<?> doGetAffectedObjects()

### doCanExecute

    public boolean doCanExecute()

### findBuilderFor

    public static ABuild findBuilderFor(SAgent agent)

### findBuilderOf

    public static ABuild findBuilderOf(SContext agent)

### findCreatorFor

    public static ACreateAgents findCreatorFor(SAgent agent)

### findCreatorOf

    public static ACreateAgents findCreatorOf(SContext context,
                                              SAgent agent)

### doExecute

    public void doExecute()

### createAgentConstructor

    protected void createAgentConstructor(SAgent agent,
                                          ABuild builder)

### doRedo

    public void doRedo()

### doUndo

    public void doUndo()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors